\begin{bsp}
  Let $z= \exp(2\pi i /8)\in \cc$ and $L:= \qq(i,z)$. As $z^2 = i$ it suffices to set $L =\qq(z)$. Consider now the field extension $L/\qq$. We want to calculate $\gal(L\qq)$.
  \begin{enumerate}[label = \arabic*)]
    \item We first consider the intermediate field $L/\qq(i)/\qq$. Here the minimal polynomial of $i$ is given by $\mu:= \mip{i}{\qq} = X^2+i$. As $\qq(i)/\qq$ is finite, it is in particular algebraic. We can consider the embedding $\qq\membarr \cc$. As the zeros of $\mip{i}{\qq}$ in $\cc$ are given by $+i,-i$, we obtain exactly lifts $f_1,f_2:\qq(i)\to \cc$ given by $i\mapsto i, i\mapsto -i$:
    \[
    \begin{tikzcd}
    \qq(i)\ar[dash]{d}\ar[shift left]{r}[above]{f_1}\ar[shift right]{r}[below]{f_2}&\cc\ar[dash]{d}\\
    \qq\ar[\embarr]{r}&\cc
    \end{tikzcd}.
    \]
    As they lift the embedding, they are in particular $\qq$-homomorphisms. So there are exactly two $\qq$-homomorphisms $\qq(i)\to \cc$.
    \item Consider now the extension $L/\qq(i) = (\qq(i))(z)/\qq(i)$. The minmal polynomial of $z$ in $L/\qq(i)$ is given by $\mu':= \mip{z}{\qq(i)} = X^2-i$. Under $f_1$, we have $f_1(\mu') = X^2-i$, which has roots $z$ and $-z$. So there are two lifts of $f_1$ given by $f_1':z\mapsto z$, $f_1'':z\mapsto -z$:
    \[
    \begin{tikzcd}
    L\ar[dash]{d}\ar[shift left]{r}[above]{f_1'}\ar[shift right]{r}[below]{f_1''}&\cc\ar[dash]{d}\\
    \qq(i)\ar{r}[below]{f_1}&\cc
    \end{tikzcd}.
    \]
    As $f_1$ is a $\qq$-homomorphism, $f_1'$ and $f_1''$ are too. \par
    Under $f_2$, we have $f_2(\mu')= X^2+i$, which hsa roots $zi,-zi$. So there again two lifts of $f_2$, given by $f_2':z\mapsto zi$, $f_2'':z\mapsto -zi$.
    \item For all of $f_1',f_1'',f_2',f_2''$ their image is $L$, so by \cref{18:galeq}, we have $\abs{\gal(L/K)} \geq 4$. By applying \cref{18:artin} twice, we get that there are exactly $4$ $\qq$-homomorphism $L\to \cc$. Hence $\abs{\gal(L/\qq)} = 4$.
    \item As $\zz/4$ and $\zz/2\times \zz/2$ are the only groups with exactly $4$ elements, $\gal(L/\qq) = \zz/4$ or $\gal(L/\qq)=\zz/2\times \zz/2$.
  \end{enumerate}
\end{bsp}

\section{Splitting Fields}
\begin{defn}
  Let $L/K$ be a field extension, $f\in K[X]$ with $n:= \deg f\geq 1$. $L$ is a \toidx{splitting field} of $f$ over $K$ if
  \begin{itemize}
    \item $f = e \prod_{i=1}^{n}(X-a_i)$ with $a_1,\hdots,a_n \in L$ and $e\in \unts{K}$.
    \item $L = K(a_1,\hdots,a_n)$.
  \end{itemize}
\end{defn}
\begin{rem}
  Splitting field are finite extensions.
\end{rem}
\begin{bsp}
  \begin{enumerate}
    \item Consider $f=X^2+1\in \rr[X]$. Then $\cc$ is a splitting field. Consider now $L:= \rr[Y]/(Y^2+1)$, which is also a field extension, as $Y^2+1$ is irreducible in $\rr[Y]$. So we have $\rr(Y) = L$. Furthermore
    \[ X^2+1 = (X-Y)(X+Y)\]
    where we regard $X^2+1$ as an element of $\rr[X]$. Hence $L$ is also a splitting field. But both the maps
    \[
    L\to \cc,\qquad g+(Y^2+1)\mapsto g(i),g+(Y^2+1)\mapsto g(-i)
    \]
    are isomorphisms.
    \item Both $X^2-3$ and $X^2-2X-2$ are irreducible in $\qq[X]$, and have splitting field $\qq(\sqrt{3})$.
    \item For $f=X^4-2\in \qq[X]$ has splitting field $\qq(\sqrt[4]{2},i)$.
  \end{enumerate}
\end{bsp}
\begin{lem}\label{19: props of splitting fields}
  Sei $f\in K[X]$ with $n:= \deg f \geq 1$-
  \begin{enumerate}
    \item There is a splitting field $L/K$.
    \item Splitting fields are unique up to $K$-isomorphisms.
    \item There is an upper bound for the degree of $L/K$, $[L:K]\leq n!$.
  \end{enumerate}
\end{lem}
\begin{proof}
  \begin{enumerate}
    \item Let $a_1,\hdots,a_n$ be the roots of $f$ in $\kk$. Set $L = K(a_1,\hdots,a_n)$.
    \item Let $L'$ be another splitting field of $f$ over $K$. Then $L'/K$ is an algebraic extension. So by \cref{18:lift1}, there is a $K$-homomorphism $\phi:L'\to \kk$. Consider now the factorisation $f = e\prod (X-a_i')\in L'[X]$ and $e\in \unts{K}$. Then $f=\phi(f)$ as $\phi$ is a $K$-homomorphism, so
    \[
    f = \phi(f) = \phi(e) \prod_{i=1}^n \left(X-\phi(a_i')\right)
    \]
    So $\phi$ only permutes the roots of $f$. So $\phi(L')$ is generated by the zeros of $L$, hence $L=\phi(L')$.
    \item Let $a_1$ be a zero of $f$ in $\overline{K}$. Then $[K(a_1):K]\leq n$, as $\deg \mip{a_1}{K}\leq n$, as the minimal polynomial divides $f$. Using polynomial division, there is a $g\in K[X]$ with $\deg g  \leq n-1$ such that $[L:K] = [K(x_1):K]\cdot [L:K(x_1)]\leq n!$.
  \end{enumerate}
\end{proof}
\begin{defn}
  Let $f\in K[X]$ with $n=\deg f\geq 1$. Then the \emph{galois group of $f$} is defined as $\gal(f):= \gal(L/K)$, where $L$ is a splitting field. By the above lemma, this is well definied, up to isomorphism.\index{galous group! of a polynomial}
\end{defn}
\section{Normal field extensions}
\begin{defn}
  A field extension $L/K$ is \emph{normal}\index{normal field extension} if
  \begin{itemize}
    \item $L/K$ is algebraic;
    \item  all irreducible polynomial $f\in K[X]$ which have a root in $L$ can be written as product of linear factors.
  \end{itemize}
\end{defn}
\begin{thm}\label{19: normal characterisations}
  Let $L/K$ be an algebraic field extension. Then the following are equivalent:
  \begin{enumerate}
    \item $L/K$ is normal.
    \item There is a set $\{f_i\ssp i\in I\}\sse K[X]$ such that
    \[
    L = K \left( \lset x\in \kk\ssp f_i(x) =0 \text{ for an }i\in I\rset \right).
    \]
    \item For all $K$-homomorphisms $f:L\to \overline{L}$ it holds that $f(L)=\overline{L}$.
  \end{enumerate}
\end{thm}
\begin{proof}
  \begin{itemize}
    \item i) $\implies$ ii): Let $\lset x_i\ssp i\in I\rset $ be a generating system of $L/K$, i.e. $L = K\left(\lset x_i\rset\right)$. For $i\in I$, let $f_i:= \mip{x_i}{L}$ be the minimal polynomial of $x_i$. As $x_i\in L$ is a root of $f_i$, we have by the normality of $L/K$ that all $f_i$ can be written as product of linear factors in $L[X]$. Set
    \[
    \mathcal{M}:= \lset \text{roots of }f_i\text{ in }L_i\rset
    \].
    Then $K(\mathcal{M})=L$.
    \item ii) $\implies$ iii): Let
    \[
    \mathcal{N}:= \lset x\in I\ssp f_i(x)=0\text{ for a }i\in I\rset
    \]
    such that $L=K\left(\mathcal{N}\right)$ as in the assumption. Let $\phi:L\to \overline{L}$ be a $K$-homomorphism. Then for all $x\in \mathcal{N}$, $\phi(x)$ is a root of $f_i$ for an $i\in I$. As $f$ only permutes roots, we get $\phi(L) = L$.
    \item iii) $\implies$ i): Let $f\in K[X]$ be irreducible, $a$ a root of $f$ in $L$ and $b\in \overline{L}$ a root of $f$ in $\overline{L}$. By \cref{18:artin}, there is a $K$-homomorphism $\phi_0:K(a)\to \overline{L}$ with $\phi_0(a)=b$. As $L$ is an intermediate field of $\overline{L}/K$, by \cref{18:lift1} there is a $K$-homomorphism $\phi:L\to \overline{L}$ with $\restr{\phi}{K(a)} = \phi_0$. By assumption, we have $\phi(L)=L$, and hence $b\in L$.
  \end{itemize}
\end{proof}
\begin{lem}\label{19: normal iff splitting for finite}
  Let $L/K$ be a finite field extension. Then the following are equivalent:
  \begin{enumerate}
    \item $L/K$ is a normal field extension.
    \item $L/K$ is a splitting field of a polynomial $f\in K[X]$.
  \end{enumerate}
\end{lem}
\begin{proof}
  ii) $\implies$ i): This is part ii) $\implies$ i) in \cref{19: normal characterisations}.\par
  i) $\implies$ ii): As $L/K$ is finite, there are $a_1,\hdots,a_m$ such that $L= K(a_1,\hdots,a_m)$. Let $f_i:= \mip_{a_i}{K}$ for $1\leq i\leq m$, and $f:= f_1\hdots f_m$. As each of the $f_i$ splits over $L$ into linear factors (by normality), $L/K$ is a splitting field for $f$.
\end{proof}
\lec
